man(1)

NAME
/plugins - the Profanity /plugins command.

DESCRIPTION
Manage plugins. Passing no arguments lists currently loaded plugins.

SYNOPSIS
/plugins

/plugins sourcepath set <path>

/plugins sourcepath clear

/plugins install [<path>]

/plugins uninstall [<plugin>]

/plugins update [<path>]

/plugins unload [<plugin>]

/plugins load [<plugin>]

/plugins reload [<plugin>]

/plugins python_version

ARGUMENTS

sourcepath set <path>
    Set the default path to install plugins from, will be used if no arg is passed to /plugins install.

sourcepath clear
    Clear the default plugins source path.

install [<path>]
    Install a plugin, or all plugins found in a directory (recursive). Passing no argument will use the sourcepath if one is set.

uninstall [<plugin>]
    Uninstall a plugin.

update [<path>]
    Updates an installed plugin

load [<plugin>]
    Load a plugin that already exists in the plugin directory, passing no argument loads all found plugins.

unload [<plugin>]
    Unload a loaded plugin, passing no argument will unload all plugins.

reload [<plugin>]
    Reload a plugin, passing no argument will reload all plugins.

python_version
    Show the Python interpreter version.

EXAMPLES
/plugins sourcepath set /home/meee/projects/profanity-plugins

/plugins install

/plugins install /home/steveharris/Downloads/metal.py

/plugins update /home/steveharris/Downloads/metal.py

/plugins uninstall browser.py

/plugins load browser.py

/plugins unload say.py

/plugins reload wikipedia.py